Class | Bio::Meme::Mast::Report
In: | lib/bio/appl/meme/mast/report.rb
Parent: | Object

## Description

A class to parse the output from Mast

WARNING: Currently support is only for -hit_list (machine readable) format

             HTML (default) output is not supported

## Examples

### Methods

each each_motif new

### Attributes

motifs | [R] |

### Public Class methods

new(mast_hitlist)

[Source]

        # File lib/bio/appl/meme/mast/report.rb, line 40
    40:         def initialize(mast_hitlist)
    41:           @motifs = parse_hit_list(mast_hitlist)
    42:         end

### Public Instance methods

each() {|motif| ...}

Iterates each motif (Bio::Meme::Motif)

[Source]

        # File lib/bio/appl/meme/mast/report.rb, line 45
    45:         def each
    46:           @motifs.each do |motif|
    47:             yield motif
    48:           end
    49:         end

each_motif()

Alias for each

[Validate]